import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {ProjectsComponent} from './projects/projects.component';
import {AdminModule} from 'common/admin/admin.module';
import {BuilderSettingsComponent} from './settings/builder/builder-settings.component';
import {CrupdateTemplateModalComponent} from './templates/crupdate-template-modal/crupdate-template-modal.component';
import {TemplatesComponent} from './templates/templates.component';
import {AppAdminRoutingModule} from './app-admin-routing.module';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
        AppAdminRoutingModule,
        AdminModule,
    ],
    declarations: [
        TemplatesComponent,
        CrupdateTemplateModalComponent,
        ProjectsComponent,
        BuilderSettingsComponent,
    ],
    entryComponents: [
        CrupdateTemplateModalComponent,
    ]
})
export class AppAdminModule {
}
