import {Injectable} from '@angular/core';
import {Resolve, RouterStateSnapshot, ActivatedRouteSnapshot, Router} from '@angular/router';
import {BuilderTemplate} from '../../shared/builder-types';
import {Templates} from "../../shared/templates/templates.service";
import {PaginatedBackendResponse} from '../../../common/core/types/paginated-backend-response';

@Injectable()
export class TemplatesResolver implements Resolve<PaginatedBackendResponse<BuilderTemplate>> {

    constructor(
        private router: Router,
        private templates: Templates,
    ) {}

    resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<PaginatedBackendResponse<BuilderTemplate>> {
        return this.templates.all({per_page: 25}).toPromise().then(response => {
            return response;
        }).catch(() => {
            this.router.navigate(['/dashboard']);
            return null;
        });
    }
}